### Method

# Gtk Textgrab_focus_without_selecting

#### Declaration [src]

    gboolean
    gtk_text_grab_focus_without_selecting (
      GtkText* self
    )

#### Description [src]

Causes `self` to have keyboard focus.

It behaves like `gtk_widget_grab_focus()`, except that it doesn’t select the contents of `self`. You only want to call this on some special entries which the user usually doesn’t want to replace all text in, such as search-as-you-type entries.

#### Return value

Type: `gboolean`

`TRUE` if focus is now inside `self`.